# math.h File Reference

`#include <ubixos/types.h>`

Include dependency graph for math.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef unsigned long long int | u_quad_t

## Functions

quad_t | __divdi3 (quad_t a, quad_t b)
u_quad_t | __udivdi3 (u_quad_t a, u_quad_t b)
double | atan (double x)
double | sqrt (double x)

## Typedef Documentation

typedef unsigned long long int u_quad_t

Definition at line 36 of file math.h.

## Function Documentation

quad_t __divdi3 | ( | quad_t | a,
|  | quad_t | b |
| ) |  |  |

Definition at line 36 of file divdi3.c.

u_quad_t __udivdi3 | ( | u_quad_t | a,
|  | u_quad_t | b |
| ) |  |  |

Definition at line 32 of file divdi3.c.

double atan | ( | double | x | ) |

Definition at line 32 of file atan.c.

double sqrt | ( | double | x | ) |

Definition at line 30 of file sqrt.c.